放弃 Java 8,Jenkins 宣布将仅支持 Java 11 及以上版本

2022-07-02 23:07IT之家 (汪淼)
感谢IT之家网友 华南吴彦祖 的线索投递!

IT之家 7 月 2 日消息,开源 Devops 工具 Jenkins 在官方博客平台宣布,从 6 月 28 日发布的 Jenkins 2.357 和将于 9 月发布的 LTS 版本开始,Jenkins 需要 Java 11 才能使用,将放弃 Java 8

Jenkins 是一款流行的 Java 平台持续集成工具,自 2005 年成立以来,Jenkins(当时的 Hudson)项目经历了多次 Java 迁移,而此次迁移到 Java 11 符合此前的历史数据规律,同时将是改变最大的一次迁移。

IT之家了解到,Jenkins 项目虽然在可预见的未来可能会保留 Java 8 支持,但官方称出于几个原因,这样做是不谨慎的。首先,Jenkins 项目使用的许多关键第三方库(例如 Jetty、JGit、Spring Framework 和 Spring Security)开始需要更新版本的 Java,而停留在 Java 8 上会使 Jenkins 项目面临最终无法使用的风险。

此外,近年来 Java 平台进行了显著的运行时改进。例如,LinkedIn 在迁移到 Java 11 时看到了性能明显改进,而 Adoptium 在迁移到 Java 11 时看到了内存使用改进。Jenkins 官方还建议开发者直接使用 Java 17,官方称 Java 17 是比 Java 11 更可靠的选择。

文章价值:
人打分
有价值还可以无价值
置顶评论
    热门评论
      全部评论
      一大波评论正在路上
        取消发送
        软媒旗下人气应用

        如点击保存海报无效,请长按图片进行保存分享